Skip to main content
POST
/
budgets
/
{budgetId}
/
direct-debits
/
{directDebitId}
/
cancel
Cancel a direct debit
curl --request POST \
  --url https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}/cancel \
  --header 'Authorization: <api-key>'
{
  "id": "775596ae-2624-40af-a9dc-9756110a4a03",
  "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "reference": "fre4r5tg",
  "status": "ACTIVE",
  "priority": 2,
  "originator": {
    "id": "123456",
    "accountName": "Netflix Inc",
    "address": {
      "addressType": "ADDR",
      "addressLine": "Vintners Place, 68, Upper Thames Street",
      "city": "London",
      "postcode": "EC4V 3BJ",
      "countryCode": "GB"
    }
  },
  "createdAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

directDebitId
string<uuid>
required

The ID of the direct debit to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Response

200 - application/json

OK

id
string<uuid>
required

The unique identifier of the direct debit.

Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

reference
string
required

The direct debit reference, which may be set by the originator.

Example:

"fre4r5tg"

status
enum<string>
required

The status of the direct debit.

Available options:
ACTIVE,
CANCELLED
Example:

"ACTIVE"

priority
integer
required

The payment priority when there are insufficient funds.

Required range: 1 <= x <= 10
Example:

2

originator
object
required
createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.